gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.NoOpObjectFactory

Contents

- Exported types
- Methods
  - new

Description

The AtkObjectFactory which creates an AtkNoOpObject. An instance of this is created by an AtkRegistry if no factory type has not been specified to create an accessible object of a particular type.

Synopsis

- newtype NoOpObjectFactory = NoOpObjectFactory (ManagedPtr NoOpObjectFactory)
- class GObject o => IsNoOpObjectFactory o
- toNoOpObjectFactory :: (MonadIO m, IsNoOpObjectFactory o) => o -> m NoOpObjectFactory
- noNoOpObjectFactory :: Maybe NoOpObjectFactory
- noOpObjectFactoryNew :: (HasCallStack, MonadIO m) => m NoOpObjectFactory

# Exported types

newtype NoOpObjectFactory Source #

Memory-managed wrapper type.

Constructors

NoOpObjectFactory (ManagedPtr NoOpObjectFactory) |

Instances

GObject NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory Methods gobjectType :: NoOpObjectFactory -> IO GType Source #
IsObject NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory
IsObjectFactory NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory
IsNoOpObjectFactory NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory

class GObject o => IsNoOpObjectFactory o Source #

Type class for types which can be safely cast to `NoOpObjectFactory`, for instance with `toNoOpObjectFactory`.

Instances

(GObject a, (UnknownAncestorError NoOpObjectFactory a :: Constraint)) => IsNoOpObjectFactory a Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory
IsNoOpObjectFactory NoOpObjectFactory Source # |
Instance details Defined in GI.Atk.Objects.NoOpObjectFactory

toNoOpObjectFactory :: (MonadIO m, IsNoOpObjectFactory o) => o -> m NoOpObjectFactory Source #

Cast to `NoOpObjectFactory`, for types for which this is known to be safe. For general casts, use `castTo`.

noNoOpObjectFactory :: Maybe NoOpObjectFactory Source #

A convenience alias for `Nothing` :: `Maybe` `NoOpObjectFactory`.

# Methods

## new

noOpObjectFactoryNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m NoOpObjectFactory | Returns: an instance of an `ObjectFactory`

Creates an instance of an `ObjectFactory` which generates primitive (non-functioning) `AtkObjects`.